WADS not Installing... ERROR -2011

Discussion in 'Wii - Emulation and Homebrew' started by Joash, Sep 25, 2016.

  1. Joash
    OP

    Joash Member

    Newcomer
    10
    0
    Sep 25, 2016
    India
    Hey. I am using Wiiflow and I wanted to use a forwarder for convenience of use. I checked how to install a forwarder and saw that a Wad Manager must be used with IOS58. After Installing IOS58, I tried YAWMM and it all worked fine upto the 'install wad' part after which it shows 'ERROR (ret = -2011)'. I tried Wad Manager 1.7 as well but the same thing happened. What can be the problem? Am I doing something wrong?
    BTW,
    -SD card: 2GB,
    -wad manager placed inside "/apps" folder
    -wad inside "/wads" folder

    ~~~~~~~~~~~~~~~~ANY HELP WILL BE APPRECIATED~~~~~~~~~~~~~~~
    :)THANKS:yaywii:
     
  2. GreyWolf

    GreyWolf GBAtemp Psycho!

    Member
    3,843
    734
    Mar 2, 2015
    United States
    You need to switch the IOS the WAD manager is using to one that has NAND access like a cIOS or patched IOS36 (usually installed in 236)
     
  3. Joash
    OP

    Joash Member

    Newcomer
    10
    0
    Sep 25, 2016
    India
    Could you please tell me how to do so? Sorry, I'm a noob at this:P. I would appreciate it if you could tell me in a step-by-step method.:)
     
    Last edited by Joash, Sep 25, 2016
  4. GreyWolf

    GreyWolf GBAtemp Psycho!

    Member
    3,843
    734
    Mar 2, 2015
    United States
    I usually use Multi-Mod Manager and it only requires pressing left on the d-pad to pick a different slot. It requires you have a non-WiiMotion+ controller or a GC one, though.

    YAWMM should have also an option to pick which IOS you want it to use but I can't recall as I don't usually use it.

    The -2011 error indicates that the wad manager can't write to the NAND because it doesn't have access to it.
     
  5. Joash
    OP

    Joash Member

    Newcomer
    10
    0
    Sep 25, 2016
    India
    Will the wads work if I use a different IOS than the recommended one(IOS58)? And also which slot do I choose?
     
  6. GreyWolf

    GreyWolf GBAtemp Psycho!

    Member
    3,843
    734
    Mar 2, 2015
    United States
    I'm not sure what you have installed. Any IOS that's been patched to load Wii ISOs should work or you could post a syscheck report.

    If you followed the complete softmod guide you probably have a patched IOS36 in 236 so look and see if that shows up as an option to choose in YAWMM.
     
  7. Joash
    OP

    Joash Member

    Newcomer
    10
    0
    Sep 25, 2016
    India
    I have installed IOS58.(I know 'cause I installed it as instructed in the wad manager guide)
     
  8. GreyWolf

    GreyWolf GBAtemp Psycho!

    Member
    3,843
    734
    Mar 2, 2015
    United States
    I don't think IOS58 can do it. I think you can only installed Nintendo-signed WADs with it.
     
  9. Joash
    OP

    Joash Member

    Newcomer
    10
    0
    Sep 25, 2016
    India
    I didn't know which slot it is in though. I used the installer. I feel like I'm losing you #noob:ha::unsure:. So I guess I'll just do a syscheck and send it when possible. That should give you a better picture.
     
  10. Joash
    OP

    Joash Member

    Newcomer
    10
    0
    Sep 25, 2016
    India
    My syscheck. Hope this helps.
    Warning: Spoilers inside!
     
    Last edited by Joash, Sep 26, 2016
  11. GreyWolf

    GreyWolf GBAtemp Psycho!

    Member
    3,843
    734
    Mar 2, 2015
    United States
    Try telling YAWMM to use IOS236 and it should work.
     
  12. Joash
    OP

    Joash Member

    Newcomer
    10
    0
    Sep 25, 2016
    India
    Could you tell me exactly what to do? I tried changing IOS but it was confusing. Also, the normal WiiFlow stopped working since I installed IOS58 :/
     
  13. GreyWolf

    GreyWolf GBAtemp Psycho!

    Member
    3,843
    734
    Mar 2, 2015
    United States
    Let me go find YAWMM and see where the option is.

    As for WiFlow, it's funky about IOSes. I can't get it to work without a core dump unless I configure it before launching it. If you haven't got the WiiFlow Start Configurator app you should get it and you can change the default settings to "Force IOS" and set a cIOS to use for the loader. From your syscheck report IOS249 should work. WiiFlow defaults to IOS58 but some drives have issues with writes using it and cause a crash.
     
  14. Joash
    OP

    Joash Member

    Newcomer
    10
    0
    Sep 25, 2016
    India
    Can you give a download link for the Wiiflow Start Configurator app? I don't seem to be able to find a download page.
     
  15. JasonH

    JasonH Advanced Member

    Newcomer
    56
    12
    May 28, 2016
    United States
  16. Joash
    OP

    Joash Member

    Newcomer
    10
    0
    Sep 25, 2016
    India
    I already installed IOS249 and it works perfectly. Thanks a lot everyone who helped me on this :)